%define lib_major 0

Summary: LibOFX library provides support for OFX command responses
Name: libofx
Version: 0.6.2
Release: 2mdk
Source: http://download.sourceforge.net/libofx/%{name}-%{version}.tar.bz2
Group:	System/Libraries
License: GPL
URL: http://libofx.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: OpenSP-devel


%description
This is the LibOFX library.  It is a API designed to allow applications to
very easily support OFX command responses, usually provided by financial
institutions.  See http://www.ofx.net/ofx/default.asp for details and
specification. LibOFX is based on the excellent OpenSP library written by
James Clark, and now part of the OpenJADE http://openjade.sourceforge.net/
project.  OpenSP by itself is not widely distributed.  OpenJADE 1.3.1 includes
a version on OpenSP that will link, however, it has some major problems with
LibOFX and isn't recommended.  Since LibOFX uses the generic interface to
OpenSP, it should be compatible with all recent versions of OpenSP (It has
been developed with OpenSP-1.5pre5).  LibOFX is written in C++, but provides a
C style interface usable transparently from both C and C++ using a single
include file.



%package -n libofx%{lib_major}
Summary:        Libraries for libofx
Group:          System/Libraries
Requires: %{name} >= %{version}-%{release}

%description -n libofx%{lib_major}
This package provides libraries to use libofx.

%package -n libofx%{lib_major}-devel
Group:	Development/C
Summary: Libraries needed to develop for libofx
Requires: libofx%{lib_major} = %{version}-%{release}
Provides: libofx-devel = %{version}-%{release}
Requires: OpenSP-devel

%description -n libofx%{lib_major}-devel
Libraries needed to develop for libofx.


%prep
%setup -q

%build
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_docdir}/libofx

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libofx%{lib_major} -p /sbin/ldconfig

%postun -n libofx%{lib_major} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README known_bugs.txt totest.txt doc/html doc/implementation_notes.txt
%{_bindir}/*
%{_datadir}/libofx

%files -n libofx%{lib_major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n libofx%{lib_major}-devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Initial mandrake package
